Bug 13378 - There is no way to search suggestions not linked to a fund
Summary: There is no way to search suggestions not linked to a fund
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-03 10:40 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13378: Add a filter to search suggestions not linked to a fund (8.14 KB, patch)
2014-12-03 10:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13378: Add a filter to search suggestions not linked to a fund (8.21 KB, patch)
2014-12-08 09:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 13378: Add a filter to search suggestions not linked to a fund (8.38 KB, patch)
2014-12-08 11:31 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13378: Add a filter to search suggestions not linked to a fund (8.34 KB, patch)
2014-12-12 19:58 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-03 10:40:30 UTC
On the suggestion search page, the fund filter does not provide a way to search suggestions not linked to a fund.
Comment 1 Jonathan Druart 2014-12-03 10:43:13 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-12-08 09:30:10 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-12-08 09:30:42 UTC
The last patch simplifies the test in SearchSuggestion to make it more readable.
Comment 4 Marc Véron 2014-12-08 11:31:55 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2014-12-12 19:58:03 UTC
Created attachment 34367 [details] [review]
[PASSED QA] Bug 13378: Add a filter to search suggestions not linked to a fund

This patch adds a "None" option for the fund filter.

Test plan:
1/ Go on the suggestion search page
2/ Search suggestions not linked to a fund using the "None" option.
3/ Search all suggestions (linked or not to a fund) using the "Any" option.

Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2015-01-10 19:19:01 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 7 Chris Cormack 2015-01-12 00:15:07 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 8 Mason James 2015-01-16 23:34:20 UTC
Pushed to 3.16.x, will be in 3.16.7